package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.entity.SysTenantAccountDetail.TransStatus;
import com.ym.mec.biz.dal.entity.SysTenantAccountDetail.TransType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TenantAccountDetailQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "类型",required = false)
	private TransType transType;

	private TransStatus transStatus;

	private Integer userId;

	@ApiModelProperty(value = "开始时间",required = false)
	private Date startTime;

	@ApiModelProperty(value = "结束时间",required = false)
	private Date endTime;

	public TransType getTransType() {
		return transType;
	}

	public void setTransType(TransType transType) {
		this.transType = transType;
	}

	public TransStatus getTransStatus() {
		return transStatus;
	}

	public void setTransStatus(TransStatus transStatus) {
		this.transStatus = transStatus;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
}
